"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BigIntShift = exports.InputParams = void 0;
const minimist = require("minimist");
class InputParams {
    static get(field) {
        const argv = minimist(process.argv.slice(2));
        return argv[field];
    }
}
exports.InputParams = InputParams;
class BigIntShift {
    constructor(bigInt, decimals) {
        this.value = 0;
        let x = bigInt.toString().padStart(decimals, "0");
        var position = x.length - decimals;
        var output = [x.slice(0, position), ".", x.slice(position)].join('');
        this.value = Number(output);
    }
}
exports.BigIntShift = BigIntShift;
